### Hierarchy

- ArrayConstructor

### Callable

- __call(arrayLength?: undefined | number): any[]
- __call<T>(arrayLength: number): T[]
- __call<T>(...items: T[]): T[]

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1350

  #### Parameters

  - ##### Optional arrayLength: undefined | number

  #### Returns any[]

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1351

  #### Type parameters

  - #### T

  #### Parameters

  - ##### arrayLength: number

  #### Returns T[]

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1352

  #### Type parameters

  - #### T

  #### Parameters

  - ##### Rest ...items: T[]

  #### Returns T[]

## Index

### Constructors

- constructor

### Properties

- prototype

### Methods

- isArray

## Constructors

### constructor

- new ArrayConstructor(arrayLength?: undefined | number): any[]
- new ArrayConstructor<T>(arrayLength: number): T[]
- new ArrayConstructor<T>(...items: T[]): T[]

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1347

  #### Parameters

  - ##### Optional arrayLength: undefined | number

  #### Returns any[]

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1348

  #### Type parameters

  - #### T

  #### Parameters

  - ##### arrayLength: number

  #### Returns T[]

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1349

  #### Type parameters

  - #### T

  #### Parameters

  - ##### Rest ...items: T[]

  #### Returns T[]

## Properties

### prototype

prototype: Array<any>

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1355

## Methods

### isArray

- isArray(arg: any): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1354

  #### Parameters

  - ##### arg: any

  #### Returns boolean

Generated using TypeDoc